/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995, 1996 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/

#pragma ident "@(#)test_bdc.c	1.3 95/11/15 Sun Microsystems"

#include <stdio.h>
#include <string.h>
#include <sys/types.h>

unsigned char key[8] = { 0x00, 0x00, 0x01, 0x00, 0x00, 0x02, 0x00, 0x03 };
unsigned char testin[8] = { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
unsigned char iv[8] = { 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08 };

extern int des_cbc_outlen(int );
extern void *des_cbc_open(caddr_t, int, caddr_t, unsigned int);

#define DATASZ 10

struct mi {
	unsigned char mibuf[8];
};

void
bcopy(caddr_t  from, caddr_t to, unsigned int len)
{
	memcpy(to, from, len);
}

main(int argc, char **argv)
{
	unsigned char inbuf[1024], out[8];
	char ecbio[8];
	caddr_t tmpbuf[8];
	struct mi mis[8];
	unsigned int lens[8];
	void *cs, *csd, *cs1, *cs2, *cs3;
	caddr_t outbuf[8];
	caddr_t buf1;
	caddr_t buf2;
	caddr_t buf3;
	int i, l, outlen, ivlen, len, len1, len2, len3;
	unsigned char iv1[8], iv2[8], iv3[8];
	int cnt;
	unsigned long ks[16][2];

#define	LEN 	15
	
	for (i= 0; i < LEN; i++) {
		inbuf[i] = (unsigned char )i;
	}

	bcopy(iv, iv1, sizeof(iv));
	cs1 = des_cbc_open(key, 8, iv1, 8);
	outlen = des_cbc_outlen(2);
	buf1 = (caddr_t )malloc(outlen);

	len1 = LEN;
	(void)endes_cbc(cs1, inbuf, &len1, buf1,
				      iv1, &ivlen);

	printf("len1 = %d\n", len1);
	bcopy(iv, iv2, sizeof(iv));
	cs2 = des_cbc_open(key, 8, iv2, 8);
	buf2 = (caddr_t )malloc(len1);

	(void)dedes_cbc(cs2, buf1, &len1, buf2,
				      iv2, &ivlen);
	printf("len1 after decryption = %d\n", len1);

	for (i=0; i < LEN; i++) {
		if ((char)inbuf[i] != (char )buf2[i]) {
			printf("Error, i=%d\n", i);
			break;
		}
	}

	printf("Succesfully decrypted and compared\n");
}

