/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995, 1996 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/
 
#pragma ident "@(#)skip_enc_alg.h	1.15 96/07/08"
 
#ifndef SKIP_ENC_ALG_H
#define SKIP_ENC_ALG_H

#ifdef HAVE_SIMPLECRYPT
extern int simplecrypt_id;
extern skip_cryptor_t simplecrypt_module;
extern skip_cryptor_t simplecrypt_module_v1;
#endif

#ifdef  HAVE_DES_CBC
extern int des_cbc_id;
extern skip_cryptor_t des_cbc_nopad_module_v1;
extern skip_cryptor_t des_cbc_module_v1;
extern skip_cryptor_t des_cbc_nopad_module;
extern skip_cryptor_t des_cbc_module;
#endif

#ifdef  HAVE_DES_CBC
extern int rc2_cbc_id;
extern skip_cryptor_t rc2_cbc_nopad_module_v1;
extern skip_cryptor_t rc2_cbc_module_v1;
extern skip_cryptor_t rc2_cbc_nopad_module;
extern skip_cryptor_t rc2_cbc_module;
#endif


#ifdef HAVE_DES_EDE_K3
extern int des_ede_k3_id;
extern skip_cryptor_t des_ede_k3_nopad_module;
extern skip_cryptor_t des_ede_k3_module;
#endif

#ifdef HAVE_RC2_CBC
extern int rc2_id;
extern skip_cryptor_t rc2_module_v1;
extern skip_cryptor_t rc2_nopad_module_v1;
extern skip_cryptor_t rc2_module;
extern skip_cryptor_t rc2_nopad_module;
#endif

#ifdef HAVE_RC4
extern int rc4_id;
extern skip_cryptor_t rc4_module_v1;
extern skip_cryptor_t rc4_module;
#endif

#ifdef HAVE_SAFER_128SK_CBC
extern skip_cryptor_t safer_128sk_cbc_module;
extern skip_cryptor_t safer_128sk_cbc_nopad_module;
#endif

#ifdef HAVE_SAFER_128SK_CBC
extern skip_cryptor_t idea_cbc_module;
extern skip_cryptor_t idea_cbc_nopad_module;
#endif

#ifdef HAVE_KEYED_MD5
extern skip_mac_t skip_md5_mod;
#endif

#endif /* SKIP_ENC_ALG_H */
