/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995, 1996 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/

#pragma	ident "@(#)skip_params.h	1.7 96/09/06"

#ifndef SKIP_PARAMS_H
#define SKIP_PARAMS_H

class SkipParams {
public:
	struct in_addr		ip_addr;	/* peer ip address */
	struct in_addr		tunnel_addr;	/* tunnel ip address */
	/*
	 * SKIP specifics
	 */
	int encrypt;
	unsigned char		ver;		/* SKIP version */
	unsigned char		kij_alg;	/* key encryption alg */
	unsigned char		kp_alg;		/* traffic encryption alg */
	unsigned char		mac_alg;	/* ah alg */
	unsigned char		comp_alg;	/* compression alg */
	unsigned char		l_nsid;		/* sender name space id */
	unsigned char		r_nsid;		/* receiver name space id */
	Bstream 		l_mkeyid;	/* Local mkeyid */
	Bstream			r_mkeyid;	/* receiver master key id */
	unsigned long		counter_n;	/* counter n	*/

	Bstream			kp;
	Bstream			iv;
	Bstream			encrypted_kp;
	Bstream			e_kp;
	Bstream			a_kp;

	SkipParams(const skip_param_t &);
	SkipParams();
};

#endif /* SKIP_PARAMS_H */
