/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995, 1996 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/

#pragma ident "@(#)skip_msgs.h	1.7 96/10/08 Sun Microsystems"

#ifdef  __cplusplus
extern "C" {
#endif

/*
 * name for messages
 */
#define	SKIPNAME	"skip"

/*
 * system messages
 */

#define	SKIP_MSG_PROGNAME	"SKIP for " SKIP_OSNAME

#define	SKIP_MSG_NOTROOT	\
	SKIPNAME ": you must be root to run this program"
#define	SKIP_MSG_BADINSTALL	\
	SKIPNAME ": check that the product is correctly installed"
#define	SKIP_MSG_NOMEM		\
	SKIPNAME ": error - no more memory"
#define	SKIP_MSG_IFNAME2LONG	\
	SKIPNAME ": error - interface name too long"
#define	SKIP_MSG_BAD_OPEN	\
	SKIPNAME ": error - open of device %s failed: %s"
#define	SKIP_MSG_BAD_PUSH	\
	SKIPNAME ": error - cannot push %s module: %s"
#define	SKIP_MSG_IPOPEN		\
	"error - cannot connect to TCP/IP on this system"
#define	SKIP_MSG_IFCONFIG	\
	"error - cannot configure interface"
#define	SKIP_MSG_IFOPEN	\
	"error - open of network interface failed"
#define	SKIP_MSG_IFPUSH	\
	"error - pushing SKIP endsystem module failed"
#define	SKIP_MSG_INTERNAL	\
	"error - (internal error)"
#define	SKIP_MSG_NO_PLUMB \
	SKIPNAME ": not present on network interface %s"
#define	SKIP_MSG_USE_SKIPIF \
	SKIPNAME ": use \"skipif -a\" to configure interface"

/*
 * keying messages
 */
#define	SKIP_MSG_NOKEYS	\
	SKIPNAME ": warning - no local keys are available"
#define	SKIP_MSG_NO_LOCALKEY_V1	\
	SKIPNAME ": error - no local keys are available for SKIP (version 1)"
#define	SKIP_MSG_NO_LOCALKEY	\
	SKIPNAME ": error - no local %s key is available"

/*
 * ACL error messages
 */
#define	SKIP_MSG_BAD_ADD	\
	SKIPNAME ": error %d - cannot add entry for %s"
#define	SKIP_MSG_BAD_LIST	\
	SKIPNAME ": error - cannot determine current access control list (%d)"
#define	SKIP_MSG_BAD_DEL	\
	SKIPNAME ": error %d - cannot remove entry for %s"
#define	SKIP_MSG_BAD_GET	\
	SKIPNAME ": error %d - cannot get details for IP address %s"
#define	SKIP_MSG_BAD_MASK	\
	SKIPNAME ": error - invalid address/netmask %s/%s"
#define	SKIP_MSG_BAD_ADDR	\
	SKIPNAME ": error - failed to translate name \"%s\""
#define	SKIP_MSG_EMPTY_ADDR	\
	SKIPNAME ": error - empty name is invalid"
#define	SKIP_MSG_DUPADDR	\
	SKIPNAME ": error - host %s exists"
#define	SKIP_MSG_DUPNET		\
	SKIPNAME ": error - network %s/%s exists"
#define	SKIP_MSG_DUPKEY		\
	SKIPNAME ": error - keyid %s (%s) exists"
#define	SKIP_MSG_NO_ADDR	\
	SKIPNAME ": error - host %s does not exist"
#define	SKIP_MSG_NO_NET	\
	SKIPNAME ": error - network %s/%s does not exist"
#define	SKIP_MSG_NO_KEY		\
	SKIPNAME ": error - keyid %s (%s) does not exist"
#define	SKIP_MSG_BAD_KEY	\
	SKIPNAME ": error - bad NSID %d keyid"
#define	SKIP_MSG_NOCOMP		\
	SKIPNAME ": error - compression not supported"
#define	SKIP_MSG_ZERO_ALGS	\
	SKIPNAME ": error - cleartext, all algs must be zero"
#define	SKIP_MSG_V1_ALGS	\
	SKIPNAME ": error - key and traffic encryption algs required"
#define	SKIP_MSG_NEED_KIJ	\
	SKIPNAME ": error - key encryption algorithm required"
#define	SKIP_MSG_NEED_KPMAC	\
	SKIPNAME ": error - encryption and/or authentication algorithms needed"
#define	SKIP_BAD_VERSION	\
	SKIPNAME ": error - unsupported version"
#define	SKIP_BAD_TUNNEL_ADDR	\
	SKIPNAME ": error - invalid tunnel address"
#define	SKIP_BAD_MODE	\
	SKIPNAME ": error - unsupported mode"
#define	SKIP_MSG_BAD_GET_MODE	\
	SKIPNAME ": error - cannot get current access control mode (%d)"
#define	SKIP_MSG_BAD_SET_MODE	\
	SKIPNAME ": error - cannot set current access control mode (%d)"
#define	SKIP_MSG_IFSTATS	\
	SKIPNAME ": error - get interface stats failed (%d)"
#define	SKIP_MSG_KEY_STATS	\
	SKIPNAME ": error - get key stats failed (%d)"
#define	SKIP_MSG_HDR_STATS	\
	SKIPNAME ": error - get header stats failed (%d)"
#define	SKIP_MSG_GET_KIJ_ALGS	\
	SKIPNAME ": error - get key encryption algorithms failed (%d)"
#define	SKIP_MSG_GET_KP_ALGS	\
	SKIPNAME ": error - get traffic encryption algorithms failed (%d)"
#define	SKIP_MSG_GET_ALGSTATS	\
	SKIPNAME ": error - get crypto algorithm statistics failed (%d)"
#define	SKIP_MSG_GET_MACSTATS	\
	SKIPNAME ": error - get MAC algorithm statistics failed (%d)"
#define	SKIP_MSG_GET_VAR	\
	SKIPNAME ": error - failed to get value of variable \"%s\" (%d)"
#define	SKIP_MSG_SET_VAR	\
	SKIPNAME ": error - failed to set value of variable \"%s\" (%d)"
#define	SKIP_MSG_GET_KEY_STATUS	\
	SKIPNAME ": error - failed to get key status (%d)"
#define	SKIP_MSG_GET_LOCAL_KEYS	\
	SKIPNAME ": error - failed to get list of local keys (%d)"

#ifdef  __cplusplus
}
#endif

